org.jboss.resteasy.core

## Class ConstructorInjectorImpl

- java.lang.Object
- - org.jboss.resteasy.core.ConstructorInjectorImpl

- All Implemented Interfaces:
    ConstructorInjector

      public class ConstructorInjectorImpl
      extends Object
      implements ConstructorInjector

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Constructor` | `constructor`
    `protected ValueInjector[]` | `params`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstructorInjectorImpl(Constructor constructor, ResteasyProviderFactory factory)`
    `ConstructorInjectorImpl(ResourceConstructor constructor, ResteasyProviderFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `construct()` construct outside the scope of an HTTP request.
    `Object` | `construct(HttpRequest request, HttpResponse httpResponse)` construct inside the scope of an HTTP request.
    `Object[]` | `injectableArguments()` Create an arguments list from injectable tings outside the scope of an HTTP request.
    `Object[]` | `injectableArguments(HttpRequest input, HttpResponse response)` Create an argument list inside the scope of an HTTP request.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### constructor

          protected Constructor constructor

    - #### params

          protected ValueInjector[] params

  - ### Constructor Detail

    - #### ConstructorInjectorImpl

          public ConstructorInjectorImpl(ResourceConstructor constructor,
                                 ResteasyProviderFactory factory)

    - #### ConstructorInjectorImpl

          public ConstructorInjectorImpl(Constructor constructor,
                                 ResteasyProviderFactory factory)

  - ### Method Detail

    - #### injectableArguments

          public Object[] injectableArguments(HttpRequest input,
                                     HttpResponse response)

      Description copied from interface: `ConstructorInjector`
      Create an argument list inside the scope of an HTTP request. Useful in cases where the resource factory wants to allocate the object itself, but wants resteasy to populate the arguments
      Specified by:
        `injectableArguments` in interface `ConstructorInjector`
      Returns:

    - #### injectableArguments

          public Object[] injectableArguments()

      Description copied from interface: `ConstructorInjector`
      Create an arguments list from injectable tings outside the scope of an HTTP request. Useful for singleton factories in cases where the resource factory wants to allocate the object itself, but wants resteasy to populate the arguments
      Specified by:
        `injectableArguments` in interface `ConstructorInjector`
      Returns:

    - #### construct

          public Object construct(HttpRequest request,
                         HttpResponse httpResponse)
                           throws Failure,
                                  ApplicationException,
                                  WebApplicationException

      Description copied from interface: `ConstructorInjector`
      construct inside the scope of an HTTP request.
      Specified by:
        `construct` in interface `ConstructorInjector`
      Returns:
      Throws:
        `Failure`
        `ApplicationException`
        `WebApplicationException`

    - #### construct

          public Object construct()

      Description copied from interface: `ConstructorInjector`
      construct outside the scope of an HTTP request. Useful for singleton factories
      Specified by:
        `construct` in interface `ConstructorInjector`
      Returns:

Copyright © 2014. All Rights Reserved.